### Method

# WebKit CookieManager delete_cookie

since: 2.20

#### Declaration [src]

    void
    webkit_cookie_manager_delete_cookie (
      WebKitCookieManager* cookie_manager,
      SoupCookie* cookie,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously delete a `SoupCookie` from the current session.

When the operation is finished, `callback` will be called. You can then call `webkit_cookie_manager_delete_cookie_finish()` to get the result of the operation.

Available since: 2.20

#### Parameters

`cookie`

  Type: `SoupCookie`

  The `SoupCookie` to be deleted.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.